From 812215fbb88af49d6b1f39a84d10150fd5bbdfe6 Mon Sep 17 00:00:00 2001
From: jdh8d <jdh8d@git.zephyr-software.com>
Date: Sat, 17 Mar 2018 16:38:39 +0000
Subject: [PATCH] Werror on plugins, removed unnecessary bits from umbrella. 
 moved out appfw.

---
 build-all.sh            | 70 ++++++++++++++++++++++-------------------
 clean-all.sh            | 29 +++++++++--------
 get-peasoup-packages.sh | 40 ++++++-----------------
 manifest.txt            |  2 +-
 4 files changed, 63 insertions(+), 78 deletions(-)

diff --git a/build-all.sh b/build-all.sh
index 18ae62d2a..4216fac81 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -26,46 +26,50 @@ mkdir -p $ZEST_RUNTIME/sbin
 
 if [ ! -f manifest.txt.config -o ! -d "$PS_INSTALL" ]; then
 	mkdir -p "$PS_INSTALL"
-	$PEDI_HOME/pedi --setup -m manifest.txt -l ida -l ida_key -l ps -l zipr -l stratafier -l stars -i $PS_INSTALL
+	$PEDI_HOME/pedi --setup -m manifest.txt -l ida -l ida_key -l ps -l zipr -l stars -i $PS_INSTALL
 fi
 
-# stratafier
-cd $PEASOUP_UMBRELLA_DIR/stratafier
-make || exit
 
-# strata
-if [ ! "$STRATA_HOME" ]; then 
-    echo "STRATA_HOME not set.";
-    exit 1; 
-fi
+use_strata=0
+if [[ $use_strata = 1 ]]; then
+	# stratafier
+	cd $PEASOUP_UMBRELLA_DIR/stratafier
+	make || exit
 
-if [ `uname -m` = 'x86_64' ]; then
-	# build 32-bit strata
-	if [ ! -d $STRATA_HOME32 ] ; then 
-		cd $STRATA
-		if [ -f Makefile ] ; then
-			make clean distclean
-		fi
-		cd $PEASOUP_UMBRELLA_DIR
-		echo Creating strata 32-bit build directory
-		cp -R $STRATA $STRATA32
+	# strata
+	if [ ! "$STRATA_HOME" ]; then 
+	    echo "STRATA_HOME not set.";
+	    exit 1; 
 	fi
-	
-	cd $STRATA_HOME32
-	STRATA_HOME=$STRATA_HOME32 STRATA=$STRATA_HOME32 ./build -host=i386-linux || exit
-
-	# build x86-64 strata
-	cd $STRATA_HOME
-	if [ -f Makefile -a Makefile -nt configure -a Makefile -nt Makefile.in ]; then
-		echo Skipping Strata reconfigure step
+
+	if [ `uname -m` = 'x86_64' ]; then
+		# build 32-bit strata
+		if [ ! -d $STRATA_HOME32 ] ; then 
+			cd $STRATA
+			if [ -f Makefile ] ; then
+				make clean distclean
+			fi
+			cd $PEASOUP_UMBRELLA_DIR
+			echo Creating strata 32-bit build directory
+			cp -R $STRATA $STRATA32
+		fi
+		
+		cd $STRATA_HOME32
+		STRATA_HOME=$STRATA_HOME32 STRATA=$STRATA_HOME32 ./build -host=i386-linux || exit
+
+		# build x86-64 strata
+		cd $STRATA_HOME
+		if [ -f Makefile -a Makefile -nt configure -a Makefile -nt Makefile.in ]; then
+			echo Skipping Strata reconfigure step
+		else
+			./configure $cfar_mode || exit
+		fi
+		make || exit
+
 	else
-		./configure $cfar_mode || exit
+		cd $STRATA_HOME
+		./build $cfar_mode || exit
 	fi
-	make || exit
-
-else
-	cd $STRATA_HOME
-	./build $cfar_mode || exit
 fi
 
 # smp-static-analyzer
diff --git a/clean-all.sh b/clean-all.sh
index 66c45d56d..17ba73ecd 100755
--- a/clean-all.sh
+++ b/clean-all.sh
@@ -10,19 +10,22 @@ if [ "$PEASOUP_UMBRELLA_DIR" != "$FULL_BUILD_LOC" ]; then
     exit 1;
 fi
 
-# stratafier
-cd $PEASOUP_UMBRELLA_DIR/stratafier
-make clean
-
-# clean main strata
-cd $STRATA_HOME
-./configure
-make clean
-rm Makefile
-
-# clean strata32 if exists.
-cd $PEASOUP_UMBRELLA_DIR/
-rm -Rf strata32
+use_strata=0
+if [[ $use_strata = 1 ]] ; then
+	# stratafier
+	cd $PEASOUP_UMBRELLA_DIR/stratafier
+	make clean
+
+	# clean main strata
+	cd $STRATA_HOME
+	./configure
+	make clean
+	rm Makefile
+
+	# clean strata32 if exists.
+	cd $PEASOUP_UMBRELLA_DIR/
+	rm -Rf strata32
+fi
 
 cd $SMPSA_HOME
 scons -c || exit
diff --git a/get-peasoup-packages.sh b/get-peasoup-packages.sh
index 2929ad6da..7ccb2e0ad 100755
--- a/get-peasoup-packages.sh
+++ b/get-peasoup-packages.sh
@@ -20,6 +20,7 @@ BASE_PKGS="
   xdotool
   gcc-multilib
   g++-multilib
+  autoconf
   realpath
   libelf-dev
   libxqilla-dev
@@ -44,27 +45,7 @@ CLIENT_IRDB_PKGS="
 # For IRDB server
 SERVER_IRDB_PKGS="postgresql"
 
-# For building test subjects
-TEST_PKGS="
-  asciidoc
-  autoconf
-  bison
-  gawk
-  gettext
-  libx11-dev
-  libfontconfig1-dev
-  libperl-dev
-  poedit
-  yasm
-  xvfb"
-
-# For handling SQL command injections
-SQL_PKGS="sqlite3 libsqlite3-dev mysql-client mysql-server libmysqlclient-dev"
-
-# For LDAP
-LDAP_PKGS="ldap-utils slapd libldap2-dev"
-
-ALL_PKGS="$BASE_PKGS $CLIENT_IRDB_PKGS $SERVER_IRDB_PKGS $TEST_PKGS $SQL_PKGS $LDAP_PKGS"
+ALL_PKGS="$BASE_PKGS $CLIENT_IRDB_PKGS $SERVER_IRDB_PKGS "
 
 
 if [[ "$PEASOUP_UMBRELLA_DIR" == "" ]]; then
@@ -81,7 +62,13 @@ install_packs()
 		sudo apt-get install $i -y
 	done
 }
-for arg in $@; do
+
+args="$@"
+if [[ $args = "" ]]; then
+	args="all"
+fi
+
+for arg in args; do
     case $arg in
     all)
 	install_packs $ALL_PKGS
@@ -98,15 +85,6 @@ for arg in $@; do
     irdb)
 	install_packs $CLIENT_IRDB_PKGS $SERVER_IRDB_PKGS
 	;;
-    test)
-	install_packs $TEST_PKGS
-	;;
-    sql)
-	install_packs $SQL_PKGS
-	;;
-    ldap)
-	install_packs $LDAP_PKGS
-	;;
     *)
 	echo "$arg not recognized. Recognized args: all, base, client-irdb,";
 	echo "  server-irdb, irdb, test, sql.";
diff --git a/manifest.txt b/manifest.txt
index 77ba7587b..029c541d2 100644
--- a/manifest.txt
+++ b/manifest.txt
@@ -4,7 +4,7 @@ submanifest peasoup_examples/manifest.txt
 submanifest idaproCur/manifest.txt
 submanifest SMPStaticAnalyzer/manifest.txt
 submanifest zipr_install/manifest.txt
-submanifest stratafier/manifest.txt
+#submanifest stratafier/manifest.txt
 submanifest IdaProServer/manifest.txt
 submanifest ubuntu16_files/manifest.txt
 file set_command_envs ps
-- 
GitLab